Page MenuHomeFreeBSD

Make OpenEXR optional for KDE ports.
ClosedPublic

Authored by adridg on Nov 17 2017, 2:20 PM.

Details

Summary

Because of the planned removal of OpenEXR, make it optional (enabled by
default) so we can easily turn it off if needed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adridg created this revision.Nov 17 2017, 2:20 PM

Thanks for looking at this.

editors/calligra/Makefile
17 ↗(On Diff #35372)

No Option?

graphics/kf5-kimageformats/Makefile
18 ↗(On Diff #35372)

^possibly missing tab?

x11/kde4-runtime/Makefile
41 ↗(On Diff #35372)

^ possibly missing tab

x11/kdelibs4/Makefile
75 ↗(On Diff #35372)

^ possibly missing tab?

Apart from the [missing?] Option it seems fine.

adridg added inline comments.Nov 20 2017, 10:26 AM
editors/calligra/Makefile
17 ↗(On Diff #35372)

I thought Calligra didn't use OpenEXR at all, but I was wrong; this needs an option just like the others.

adridg updated this revision to Diff 35493.Nov 20 2017, 10:50 AM
  • add OPTIONS to editors/calligra
  • add tabs where needed
adridg marked 4 inline comments as done.Nov 20 2017, 10:51 AM
adridg marked an inline comment as done.
tcberner accepted this revision.Nov 25 2017, 11:06 AM

OPTIONS_SUB=YES->yes everywhere :)

otherwise it looks good :)

graphics/krita/Makefile
43 ↗(On Diff #35493)

^uses 'yes' not 'YES'

This revision is now accepted and ready to land.Nov 25 2017, 11:06 AM
adridg updated this revision to Diff 35776.Nov 25 2017, 8:39 PM

OPTIONS_SUB -> yes (the value is ignored, but "yes" is traditional)

This revision now requires review to proceed.Nov 25 2017, 8:39 PM
This revision was automatically updated to reflect the committed changes.